Bug 133552 - [patch] www/drupal6-views: update to 2.4
Summary: [patch] www/drupal6-views: update to 2.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-10 00:30 UTC by Eygene Ryabinkin
Modified: 2009-04-11 19:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eygene Ryabinkin 2009-04-10 00:30:06 UTC
Views module for Drupal 6.x is already at 2.4 [1]

Fix: The following patch updates the port to 2.4:


Tom Uffner, tom@uffner.com, should be credited for pointing me to
this updated version of the Views plugin.--SBHWK20zzUOPa7lKD5F5A9F6EfMtjUxeXXuAnvq8EWndnaaD
Content-Type: text/plain; name="update-2.3-to-2.4.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="update-2.3-to-2.4.diff"

From 93af5b0c615f1fc1c468b57e6e7eb31434210867 Mon Sep 17 00:00:00 2001
From: Eygene Ryabinkin <rea-fbsd@codelabs.ru>
Date: Fri, 10 Apr 2009 03:19:59 +0400

See also: http://drupal.org/node/426916
Signed-off-by: Eygene Ryabinkin <rea-fbsd@codelabs.ru>
---
 www/drupal6-views/Makefile |   52 +++++++++++++++++++++++++++++++++----------
 www/drupal6-views/distinfo |    6 ++--
 2 files changed, 43 insertions(+), 15 deletions(-)

diff --git a/www/drupal6-views/Makefile b/www/drupal6-views/Makefile
index d72d536..ea1cf5a 100644
--- a/www/drupal6-views/Makefile
+++ b/www/drupal6-views/Makefile
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	views
-DISTVERSION=	6.x-2.3
+DISTVERSION=	6.x-2.4
 CATEGORIES=	www
 MASTER_SITES=	http://ftp.drupal.org/files/projects/
 
@@ -15,16 +15,24 @@ COMMENT=	Controls how content lists are generated
 
 DRUPAL6_MODULE=	yes
 MODULE_DIRS=	css docs handlers help/images help images includes js \
-		modules/aggregator modules/comment modules/node \
+		modules/aggregator modules/comment \
+		modules/locale modules/node \
 		modules/profile modules/search modules/statistics \
 		modules/system modules/taxonomy modules/translation \
 		modules/upload modules/user modules plugins theme \
 		translations views_export
-MODULE_FILES=	css/views-admin.css css/views-list.css \
-		css/views-tabs.css css/views.css \
+MODULE_FILES=	css/views-admin.css \
+		css/views-list-rtl.css \
+		css/views-list.css \
+		css/views-tabs.css \
+		css/views.css \
 		docs/docs.php \
-		views.info views.install views.module views2.doxy \
-		views_ui.info views_ui.module \
+		views.info \
+		views.install \
+		views.module \
+		views2.doxy \
+		views_ui.info \
+		views_ui.module \
 		handlers/views_handler_argument.inc \
 		handlers/views_handler_argument_date.inc \
 		handlers/views_handler_argument_formula.inc \
@@ -45,6 +53,7 @@ MODULE_FILES=	css/views-admin.css css/views-list.css \
 		handlers/views_handler_filter_boolean_operator_string.inc \
 		handlers/views_handler_filter_date.inc \
 		handlers/views_handler_filter_equality.inc \
+		handlers/views_handler_filter_float.inc \
 		handlers/views_handler_filter_in_operator.inc \
 		handlers/views_handler_filter_many_to_one.inc \
 		handlers/views_handler_filter_numeric.inc \
@@ -85,7 +94,8 @@ MODULE_FILES=	css/views-admin.css css/views-list.css \
 		help/images/views2-rearrangefields.png \
 		help/images/views2-tablestyle-large.png \
 		help/images/views2-tablestyle.png \
-		help/about.html help/analyze-theme.html \
+		help/about.html \
+		help/analyze-theme.html \
 		help/api-default-views.html \
 		help/api-handlers.html \
 		help/api-plugins.html \
@@ -155,19 +165,31 @@ MODULE_FILES=	css/views-admin.css css/views-list.css \
 		modules/aggregator/views_plugin_row_aggregator_rss.inc \
 		modules/aggregator.views.inc \
 		modules/book.views.inc \
+		modules/book.views_convert.inc \
 		modules/comment.views.inc \
+		modules/comment.views_convert.inc \
 		modules/comment.views_default.inc \
+		modules/locale.views.inc \
 		modules/node.views.inc \
 		modules/node.views_convert.inc \
 		modules/node.views_default.inc \
 		modules/poll.views.inc \
 		modules/profile.views.inc \
 		modules/search.views.inc \
+		modules/search.views_convert.inc \
 		modules/search.views_default.inc \
 		modules/statistics.views.inc \
 		modules/statistics.views_default.inc \
 		modules/system.views.inc \
 		modules/taxonomy.views.inc \
+		modules/taxonomy.views_convert.inc \
+		modules/taxonomy.views_default.inc \
+		modules/translation.views.inc \
+		modules/upload.views.inc \
+		modules/upload.views_convert.inc \
+		modules/user.views.inc \
+		modules/user.views_convert.inc \
+		modules/views.views.inc \
 		modules/comment/views_handler_argument_comment_user_uid.inc \
 		modules/comment/views_handler_field_comment.inc \
 		modules/comment/views_handler_field_comment_depth.inc \
@@ -188,11 +210,14 @@ MODULE_FILES=	css/views-admin.css css/views-list.css \
 		modules/comment/views_handler_sort_ncs_last_updated.inc \
 		modules/comment/views_plugin_row_comment_rss.inc \
 		modules/comment/views_plugin_row_comment_view.inc \
-		modules/taxonomy.views_default.inc \
-		modules/translation.views.inc \
-		modules/upload.views.inc \
-		modules/user.views.inc \
-		modules/views.views.inc \
+		modules/locale/views_handler_argument_locale_group.inc \
+		modules/locale/views_handler_argument_locale_language.inc \
+		modules/locale/views_handler_field_locale_group.inc \
+		modules/locale/views_handler_field_locale_language.inc \
+		modules/locale/views_handler_field_locale_link_edit.inc \
+		modules/locale/views_handler_filter_locale_group.inc \
+		modules/locale/views_handler_filter_locale_language.inc \
+		modules/locale/views_handler_filter_locale_version.inc \
 		modules/node/views_handler_argument_dates_various.inc \
 		modules/node/views_handler_argument_node_language.inc \
 		modules/node/views_handler_argument_node_nid.inc \
@@ -216,7 +241,9 @@ MODULE_FILES=	css/views-admin.css css/views-list.css \
 		modules/profile/views_handler_field_profile_date.inc \
 		modules/profile/views_handler_field_profile_list.inc \
 		modules/profile/views_handler_filter_profile_selection.inc \
+		modules/search/views_handler_field_search_score.inc \
 		modules/search/views_handler_filter_search.inc \
+		modules/search/views_handler_sort_search_score.inc \
 		modules/search/views_plugin_row_search_view.inc \
 		modules/statistics/views_handler_field_accesslog_path.inc \
 		modules/system/views_handler_argument_file_fid.inc \
@@ -310,6 +337,7 @@ MODULE_FILES=	css/views-admin.css css/views-list.css \
 		translations/eo.po \
 		translations/fr.po \
 		translations/it.po \
+		translations/sv.po \
 		views_export/views_export.css \
 		views_export/views_export.info \
 		views_export/views_export.module
diff --git a/www/drupal6-views/distinfo b/www/drupal6-views/distinfo
index ec0ca83..d093fa1 100644
--- a/www/drupal6-views/distinfo
+++ b/www/drupal6-views/distinfo
@@ -1,3 +1,3 @@
-MD5 (drupal/views-6.x-2.3.tar.gz) = 582bde5b7a68357c026a2bee689fe3cb
-SHA256 (drupal/views-6.x-2.3.tar.gz) = cfd58b75f585126748898cdff572bd7374d0ade1e455603d09f7daaeb2d7fdad
-SIZE (drupal/views-6.x-2.3.tar.gz) = 1365883
+MD5 (drupal/views-6.x-2.4.tar.gz) = 7da75bea2204e45cc1c31379ed8c10ac
+SHA256 (drupal/views-6.x-2.4.tar.gz) = 1be309eacb203742e4d3db0d0be66f6e0ca2ac394fa24afa88172aaa48ad53d2
+SIZE (drupal/views-6.x-2.4.tar.gz) = 1419570
-- 
1.6.1.3
How-To-Repeat: 
[1] http://drupal.org/node/426916
Comment 1 Edwin Groothuis freebsd_committer 2009-04-10 00:30:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2009-04-11 19:05:42 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2009-04-11 19:05:52 UTC
miwi        2009-04-11 18:05:38 UTC

  FreeBSD ports repository

  Modified files:
    www/drupal6-views    Makefile distinfo 
  Log:
  - Update to 2.4
  
  PR:             133552
  Submitted by:   Eygene Ryabinkin <rea-fbsd@codelabs.ru> (maintainer)
  
  Revision  Changes    Path
  1.6       +40 -12    ports/www/drupal6-views/Makefile
  1.5       +3 -3      ports/www/drupal6-views/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"